# Visualization
TKV3d
PrsMgr

# PrsMgr_Presentations Class Reference

`#include <PrsMgr_Presentations.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PrsMgr_Presentations ()
Standard_EXPORT void | Clear ()
| ~PrsMgr_Presentations ()
Standard_EXPORT const PrsMgr_Presentations & | Assign (const PrsMgr_Presentations &Other)
const PrsMgr_Presentations & | operator= (const PrsMgr_Presentations &Other)
Standard_EXPORT void | Append (const PrsMgr_ModedPresentation &T)
void | Append (PrsMgr_Presentations &S)
Standard_EXPORT void | Prepend (const PrsMgr_ModedPresentation &T)
void | Prepend (PrsMgr_Presentations &S)
void | InsertBefore (const Standard_Integer Index, const PrsMgr_ModedPresentation &T)
void | InsertBefore (const Standard_Integer Index, PrsMgr_Presentations &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const PrsMgr_ModedPresentation &T)
void | InsertAfter (const Standard_Integer Index, PrsMgr_Presentations &S)
Standard_EXPORT const PrsMgr_ModedPresentation & | First () const
Standard_EXPORT const PrsMgr_ModedPresentation & | Last () const
void | Split (const Standard_Integer Index, PrsMgr_Presentations &Sub)
Standard_EXPORT const PrsMgr_ModedPresentation & | Value (const Standard_Integer Index) const
const PrsMgr_ModedPresentation & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const PrsMgr_ModedPresentation &I)
Standard_EXPORT PrsMgr_ModedPresentation & | ChangeValue (const Standard_Integer Index)
PrsMgr_ModedPresentation & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | PrsMgr_Presentations (const PrsMgr_Presentations &Other)

## Constructor & Destructor Documentation

PrsMgr_Presentations::PrsMgr_Presentations | ( |  | ) |

PrsMgr_Presentations::~PrsMgr_Presentations | ( |  | ) | `[inline]`

Standard_EXPORT PrsMgr_Presentations::PrsMgr_Presentations | ( | const PrsMgr_Presentations & | Other | ) | `[private]`

## Member Function Documentation

void PrsMgr_Presentations::Append | ( | PrsMgr_Presentations & | S | ) |

Standard_EXPORT void PrsMgr_Presentations::Append | ( | const PrsMgr_ModedPresentation & | T | ) |

Standard_EXPORT const PrsMgr_Presentations& PrsMgr_Presentations::Assign | ( | const PrsMgr_Presentations & | Other | ) |

Standard_EXPORT PrsMgr_ModedPresentation& PrsMgr_Presentations::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void PrsMgr_Presentations::Clear | ( |  | ) |

Standard_EXPORT const PrsMgr_ModedPresentation& PrsMgr_Presentations::First | ( |  | ) | const

void PrsMgr_Presentations::InsertAfter | ( | const Standard_Integer | Index,
|  | PrsMgr_Presentations & | S
| ) |

Standard_EXPORT void PrsMgr_Presentations::InsertAfter | ( | const Standard_Integer | Index,
|  | const PrsMgr_ModedPresentation & | T
| ) |

void PrsMgr_Presentations::InsertBefore | ( | const Standard_Integer | Index,
|  | PrsMgr_Presentations & | S
| ) |

void PrsMgr_Presentations::InsertBefore | ( | const Standard_Integer | Index,
|  | const PrsMgr_ModedPresentation & | T
| ) |

Standard_EXPORT const PrsMgr_ModedPresentation& PrsMgr_Presentations::Last | ( |  | ) | const

void PrsMgr_Presentations::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PrsMgr_Presentations::operator new | ( | size_t | size | ) | `[inline]`

void* PrsMgr_Presentations::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

PrsMgr_ModedPresentation& PrsMgr_Presentations::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const PrsMgr_ModedPresentation& PrsMgr_Presentations::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const PrsMgr_Presentations& PrsMgr_Presentations::operator= | ( | const PrsMgr_Presentations & | Other | ) | `[inline]`

void PrsMgr_Presentations::Prepend | ( | PrsMgr_Presentations & | S | ) |

Standard_EXPORT void PrsMgr_Presentations::Prepend | ( | const PrsMgr_ModedPresentation & | T | ) |

Standard_EXPORT void PrsMgr_Presentations::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void PrsMgr_Presentations::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void PrsMgr_Presentations::SetValue | ( | const Standard_Integer | Index,
|  | const PrsMgr_ModedPresentation & | I
| ) |

void PrsMgr_Presentations::Split | ( | const Standard_Integer | Index,
|  | PrsMgr_Presentations & | Sub
| ) |

Standard_EXPORT const PrsMgr_ModedPresentation& PrsMgr_Presentations::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PrsMgr_Presentations.hxx